#ifndef _OLDPATCHGODUNOVF_F_H_
#define _OLDPATCHGODUNOVF_F_H_

#include "FORT_PROTO.H"
#include "REAL.H"

extern "C"
{

// Prototype for Fortran procedure OLDMINFLATF ...
//
#define FORT_OLDMINFLATF FORTRAN_NAME( OLDMINFLATF ,oldminflatf )
void 
FORT_OLDMINFLATF(
      CHFp_FRA1(flattening)
      ,CHFp_CONST_FRA(zetaDir)
      ,CHFp_CONST_FRA(du)
      ,CHFp_BOX(box) );

// Prototype for Fortran procedure OLDGETDPTWOF ...
//
#define FORT_OLDGETDPTWOF FORTRAN_NAME( OLDGETDPTWOF ,oldgetdptwof )
void 
FORT_OLDGETDPTWOF(
      CHFp_FRA1(delta2p)
      ,CHFp_CONST_FRA1(delta1p)
      ,CHFp_CONST_INT(idir)
      ,CHFp_BOX(loBox)
      ,CHFp_CONST_INT(hasLo)
      ,CHFp_BOX(hiBox)
      ,CHFp_CONST_INT(hasHi)
      ,CHFp_BOX(centerBox) );

// Prototype for Fortran procedure OLDGETFLATF ...
//
#define FORT_OLDGETFLATF FORTRAN_NAME( OLDGETFLATF ,oldgetflatf )
void 
FORT_OLDGETFLATF(
      CHFp_FRA1(zetaTwiddle)
      ,CHFp_CONST_FRA1(delta1p)
      ,CHFp_CONST_FRA1(delta2p)
      ,CHFp_CONST_FRA1(bulkMin)
      ,CHFp_BOX(box) );

// Prototype for Fortran procedure OLDGETGRADF ...
//
#define FORT_OLDGETGRADF FORTRAN_NAME( OLDGETGRADF ,oldgetgradf )
void 
FORT_OLDGETGRADF(
      CHFp_FRA1(du)
      ,CHFp_CONST_FRA1(u)
      ,CHFp_CONST_INT(idir)
      ,CHFp_BOX(loBox)
      ,CHFp_CONST_INT(hasLo)
      ,CHFp_BOX(hiBox)
      ,CHFp_CONST_INT(hasHi)
      ,CHFp_BOX(centerBox) );

// Prototype for Fortran procedure OLDMAGNITUDEF ...
//
#define FORT_OLDMAGNITUDEF FORTRAN_NAME( OLDMAGNITUDEF ,oldmagnitudef )
void 
FORT_OLDMAGNITUDEF(
      CHFp_FRA1(magdata)
      ,CHFp_CONST_FRA(data)
      ,CHFp_BOX(box) );

// Prototype for Fortran procedure OLDMIN3PTSF ...
//
#define FORT_OLDMIN3PTSF FORTRAN_NAME( OLDMIN3PTSF ,oldmin3ptsf )
void 
FORT_OLDMIN3PTSF(
      CHFp_FRA1(mindata)
      ,CHFp_CONST_FRA1(data)
      ,CHFp_CONST_INT(idir)
      ,CHFp_BOX(loBox)
      ,CHFp_CONST_INT(hasLo)
      ,CHFp_BOX(hiBox)
      ,CHFp_CONST_INT(hasHi)
      ,CHFp_BOX(centerBox) );

// Prototype for Fortran procedure OLDSECONDSLOPEDIFFSF ...
//
#define FORT_OLDSECONDSLOPEDIFFSF FORTRAN_NAME( OLDSECONDSLOPEDIFFSF ,oldsecondslopediffsf )
void 
FORT_OLDSECONDSLOPEDIFFSF(
      CHFp_FRA(deltaWC)
      ,CHFp_FRA(deltaWL)
      ,CHFp_FRA(deltaWR)
      ,CHFp_CONST_FRA(W)
      ,CHFp_CONST_INT(numSlopes)
      ,CHFp_CONST_INT(idir)
      ,CHFp_BOX(loBox)
      ,CHFp_CONST_INT(hasLo)
      ,CHFp_BOX(hiBox)
      ,CHFp_CONST_INT(hasHi)
      ,CHFp_BOX(centerBox) );

// Prototype for Fortran procedure OLDFOURTHSLOPEDIFFSF ...
//
#define FORT_OLDFOURTHSLOPEDIFFSF FORTRAN_NAME( OLDFOURTHSLOPEDIFFSF ,oldfourthslopediffsf )
void 
FORT_OLDFOURTHSLOPEDIFFSF(
      CHFp_FRA(delta4WC)
      ,CHFp_CONST_FRA(W)
      ,CHFp_CONST_FRA(delta2W)
      ,CHFp_CONST_INT(numSlopes)
      ,CHFp_CONST_INT(idir)
      ,CHFp_BOX(loBox)
      ,CHFp_CONST_INT(hasLo)
      ,CHFp_BOX(hiBox)
      ,CHFp_CONST_INT(hasHi)
      ,CHFp_BOX(centerBox) );

// Prototype for Fortran procedure OLDAPPLYFLATF ...
//
#define FORT_OLDAPPLYFLATF FORTRAN_NAME( OLDAPPLYFLATF ,oldapplyflatf )
void 
FORT_OLDAPPLYFLATF(
      CHFp_FRA(dW)
      ,CHFp_CONST_FRA1(flattening)
      ,CHFp_CONST_INT(numSlopes)
      ,CHFp_BOX(box) );

// Prototype for Fortran procedure OLDVANLEERLIMITERF ...
//
#define FORT_OLDVANLEERLIMITERF FORTRAN_NAME( OLDVANLEERLIMITERF ,oldvanleerlimiterf )
void 
FORT_OLDVANLEERLIMITERF(
      CHFp_FRA(dW)
      ,CHFp_CONST_FRA(dWleft)
      ,CHFp_CONST_FRA(dWright)
      ,CHFp_CONST_INT(idir)
      ,CHFp_BOX(box) );

// Prototype for Fortran procedure OLDDIVUEDGEF ...
//
#define FORT_OLDDIVUEDGEF FORTRAN_NAME( OLDDIVUEDGEF ,olddivuedgef )
void 
FORT_OLDDIVUEDGEF(
      CHFp_FRA1(divu)
      ,CHFp_CONST_FRA1(uNorm)
      ,CHFp_CONST_FRA(duTan)
      ,CHFp_CONST_INT(idir)
      ,CHFp_BOX(loBox)
      ,CHFp_CONST_INT(hasLo)
      ,CHFp_BOX(hiBox)
      ,CHFp_CONST_INT(hasHi)
      ,CHFp_BOX(centerBox) );

// Prototype for Fortran procedure OLDARTVISCF ...
//
#define FORT_OLDARTVISCF FORTRAN_NAME( OLDARTVISCF ,oldartviscf )
void 
FORT_OLDARTVISCF(
      CHFp_FRA(F)
      ,CHFp_CONST_FRA(U)
      ,CHFp_CONST_FRA1(divu)
      ,CHFp_CONST_REAL(coeff)
      ,CHFp_CONST_INT(idir)
      ,CHFp_BOX(box) );

}

#endif
