#ifndef TIMERPROTOTYPES_H
#define TIMERPROTOTYPES_H

#include "Timer.H"


extern Timer TimeLevelGodunovStep;


extern Timer TimeLGtemporaryStorage;
extern Timer TimeLGfillInterp;
extern Timer TimeLGupdateState;
extern Timer TimeLGincrementFluxRegister;
extern Timer TimeLGtempBarrier;
extern Timer TimeLGcopyUandAllreduce;

extern Timer TimeUpstateAllocateFluxStorage;
extern Timer TimeUpstateCopyTempStorage;
extern Timer TimeUpstateComputeFluxes;
extern Timer TimeUpstateFinalUpdate;
extern Timer TimeUpstateMaxWaveSpeed;

extern Timer TimecomputeFluxesAll;
extern Timer TimecFluxesInit;
extern Timer TimecFluxesconsToPrim;
extern Timer TimecFluxesComputeFlattening;
extern Timer TimecFluxesResize;
extern Timer TimecFluxesSlope;
extern Timer TimecFluxesNormalPred;
extern Timer TimecFluxesIncrementWithSource;
extern Timer TimecFluxesRiemann;
extern Timer TimecFluxesFluxBC;
extern Timer TimecFluxesCopy3D;
extern Timer TimecFluxesUpdatePrim;
extern Timer TimecFluxesRiemann3D;
extern Timer TimecFluxesFluxBC3D;
extern Timer TimecFluxesUpdatePrimFinal;
extern Timer TimecFluxesRiemannFinal;
extern Timer TimecFluxesFluxBCFinal;
extern Timer TimecFluxesArtificialViscosity;


extern Timer TMPI_LGstep_cp1;
extern Timer TMPI_LGAllreduce;
extern Timer TMPI_LGgetMaxWaveSpeed_gather;
extern Timer TMPI_LGgetMaxWaveSpeed_broadcast;
extern Timer TMPI_gov_computeSum_Allreduce;

extern Timer TF_GETGRAD;
extern Timer TF_GETDPTWO;
extern Timer TF_MIN3PTS;
extern Timer TF_GETFLAT;
extern Timer TF_MINFLAT;
extern Timer TF_SECONDSLOPEDIFFS;
extern Timer TF_FOURTHSLOPEDIFFS;
extern Timer TF_APPLYFLAT;
extern Timer TF_ARTVISC;
extern Timer TF_VANLEERLIMITER;
extern Timer TF_DIVUEDGE;

#endif
