#include "Timer.H"
extern Timer Everything;

// regrid
Timer TimePolytropicGas_regrid      ("PG regrid",    241);
Timer TimePolytropicGas_lb          ("lb",           TimePolytropicGas_regrid);
Timer TimePolytropicGas_cp1         ("cp1",          TimePolytropicGas_regrid);
Timer TimePolytropicGas_reshape     ("reshape",      TimePolytropicGas_regrid);
Timer TimePolytropicGas_levelSetup  ("levelSetup",   TimePolytropicGas_regrid);
Timer TimePolytropicGas_interpToFine("interpToFine", TimePolytropicGas_regrid);
Timer TimePolytropicGas_cp2         ("cp2",          TimePolytropicGas_regrid);

// regrid calls levelSetup:
Timer TimerPG_levelSetup("All levelSetup", 333);
Timer TimePGlS_init("init", TimerPG_levelSetup);
Timer TimePGlS_def1("def1", TimerPG_levelSetup);
Timer TimePGlS_def2("def2", TimerPG_levelSetup);
Timer TimePGlS_def3("def3", TimerPG_levelSetup);
Timer TimePGlS_zero("zero", TimerPG_levelSetup);
Timer TimePGlS_def4("def4", TimerPG_levelSetup);

Timer TimePGtagCells_all     ("PGtagCells", 344);
Timer TimePGtagCells_pwl     ("pwl",      TimePGtagCells_all);
Timer TimePGtagCells_ex      ("ex",       TimePGtagCells_all);
Timer TimePGtagCells_gradient("gradient", TimePGtagCells_all);
Timer TimePGtagCells_grow    ("grow",     TimePGtagCells_all);
Timer TimePGtagCells_stuff   ("stuff",    TimePGtagCells_all);
Timer TimePGtagCells_gather  ("gather",   TimePGtagCells_all);
Timer TimePGtagCells_serial  ("serial",   TimePGtagCells_all);

Timer TF_allTogetherNow("ALLTOGETHER", Everything, DTIMEFORT, true);
Timer TF_MAXWAVESPEED  ("MAXWAVESPEED",Everything, DTIMEFORT, true);
Timer TF_CONSTOPRIM    ("CONSTOPRIM",  Everything, DTIMEFORT, true);
Timer TF_PRIMTOCONS    ("PRIMTOCONS",  Everything, DTIMEFORT, true);
Timer TF_NORMALPRED    ("NORMALPRED",  Everything, DTIMEFORT, true);
Timer TF_RIEMANN       ("RIEMANN",     Everything, DTIMEFORT, true);
Timer TF_GETFLUX       ("GETFLUX",     Everything, DTIMEFORT, true);
Timer TF_UPDATECONS    ("UPDATECONS",  Everything, DTIMEFORT, true);

Timer TF_GETRELGRAD    ("GETRELGRAD",    Everything, DTIMEFORT, true);
Timer TF_MAGNITUDE     ("MAGNITUDE",     Everything, DTIMEFORT, true);
 
Timer TF_SETEXPLOSION  ("SETEXPLOSION",  Everything, DTIMEFORT, true);
Timer TF_SOLIDBC       ("SOLIDBC",       Everything, DTIMEFORT, true);
Timer TF_SLOPEBCS      ("SLOPEBCS",      Everything, DTIMEFORT, true);
Timer TF_EXPLOSIONINIT ("EXPLOSIONINIT", Everything, DTIMEFORT, true);

Timer TF_SETGAUSSIAN("SETGAUSSIAN", Everything, DTIMEFORT, true);
Timer TF_GAUSSIANINIT("GAUSSIANINIT", Everything, DTIMEFORT, true);

Timer TF_SETRAMP("SETRAMP", Everything, DTIMEFORT, true);
Timer TF_RAMPSOLIDBC("RAMPSOLIDBC", Everything, DTIMEFORT, true);
Timer TF_RAMPBC("RAMPBC", Everything, DTIMEFORT, true);
Timer TF_RAMPSLOPEBCS("RAMPSLOPEBCS", Everything, DTIMEFORT, true);
Timer TF_RAMPINIT("RAMPINIT", Everything, DTIMEFORT, true);
Timer TF_RAMPARTVISC("RAMPARTVISC", Everything, DTIMEFORT, true);


Timer TMPI_advance_cp("advance cp", Everything, DTIMECOMM, true);
Timer TMPI_tagCells_ex("tagCells ex", Everything, DTIMECOMM, true);
Timer TMPI_tagCells_gather("tagCells gather", Everything, DTIMECOMM, true);
Timer TMPI_tagCells_serial("tagCells serial", Everything, DTIMECOMM, true);
Timer TMPI_regrid_lb("regrid lb", Everything, DTIMECOMM, true);
Timer TMPI_regrid_cp1("regrid cp1", Everything, DTIMECOMM, true);
Timer TMPI_regrid_cp2("regrid cp2", Everything, DTIMECOMM, true);
Timer TMPI_AMRLevelPolytropicGas_lb("LPG lb", Everything, DTIMECOMM, true);
