#ifndef TIMERPROTOTYPES_H
#define TIMERPROTOTYPES_H

#include "Timer.H"


extern Timer TimeLevelGodunovStep;

extern Timer TimeLGtemporaryStorage;
extern Timer TimeLGfillInterp;
extern Timer TimeLGupdateState;
extern Timer TimeLGincrementFluxRegister;
extern Timer TimeLGtempBarrier;
extern Timer TimeLGcopyUandAllreduce;

extern Timer TimeUpstateInit;
extern Timer TimeUpstateComputeWHalf;
extern Timer TimeUpstateComputeUpdate;
extern Timer TimeUpstateMaxWaveSpeed;

extern Timer TimeUpstateInit;
extern Timer TimeUpstateComputeWHalf;
extern Timer TimeUpstateComputeUpdate;
extern Timer TimeUpstateMaxWaveSpeed;

extern Timer TimeCWH_boxSetup             ;
extern Timer TimeCWH_aUcopy               ;
extern Timer TimeCWH_consToPrim           ;
extern Timer TimeCWH_flattening           ;
extern Timer TimeCWH_incSource;
extern Timer TimeCWH_PPMNormalPred;
extern Timer TimeCWH_addSourceTerm;
extern Timer TimeCWH_solveRiemann;
extern Timer TimeCWH_getFlux;
extern Timer TimeCWH_3DintermediateFluxes ;
extern Timer TimeCWH_boxSurroundingNodes  ;
extern Timer TimeCWH_2DfinalFluxCorrection;
extern Timer TimeCWH_3DfinalFluxCorrection;
extern Timer TimeCWH_finalRiemann         ;

extern Timer TimeCUadUzero;
extern Timer TimeCUgetFlux;
extern Timer TimeCUconsToPrim;
extern Timer TimeCUdivVel;
extern Timer TimeCUfaceBoxCalc;
extern Timer TimeCUartificialViscosity;
extern Timer TimeCUartViscBC;
extern Timer TimeCUfluxDiff;
extern Timer TimeCUmultiplyBydtdx;

extern Timer TMPI_LGstep_cp1;
extern Timer TMPI_LGAllreduce;
extern Timer TMPI_LGgetMaxWaveSpeed_gather;
extern Timer TMPI_LGgetMaxWaveSpeed_broadcast;
extern Timer TMPI_gov_computeSum_Allreduce;

extern Timer TF_GETGRADF         ;
extern Timer TF_GETDPTWOF        ;
extern Timer TF_MIN3PTSF         ;
extern Timer TF_GETFLATF         ;
extern Timer TF_MINFLATF         ;
extern Timer TF_FOURTHSLOPEDIFFSF;
extern Timer TF_SECONDSLOPEDIFFSF;
extern Timer TF_VANLEERLIMITERF  ;
extern Timer TF_PLMNORMALPREDF   ;
extern Timer TF_PPMFACEVALUESF   ;
extern Timer TF_PPMLIMITERF      ;
extern Timer TF_PPMNORMALPREDF   ;
extern Timer TF_DIVUEDGEF        ;
extern Timer TF_ARTVISCF         ;
extern Timer TF_FLUXDIFF         ;

#endif
