#ifndef _AMRNS_F_F_H_
#define _AMRNS_F_F_H_

#include "FORT_PROTO.H"
#include "REAL.H"

extern "C"
{

// Prototype for Fortran procedure COMPUTEVORT ...
//
#define FORT_COMPUTEVORT FORTRAN_NAME( COMPUTEVORT ,computevort )
void 
FORT_COMPUTEVORT(
      CHFp_FRA1(vort)
      ,CHFp_FRA(vel)
      ,CHFp_BOX(gridBox)
      ,CHFp_CONST_REAL(dx)
      ,CHFp_CONST_INT(dir) );

// Prototype for Fortran procedure KINETICENERGY ...
//
#define FORT_KINETICENERGY FORTRAN_NAME( KINETICENERGY ,kineticenergy )
void 
FORT_KINETICENERGY(
      CHFp_FRA1(energy)
      ,CHFp_CONST_FRA(vel)
      ,CHFp_BOX(gridBox) );

// Prototype for Fortran procedure MAGVECT ...
//
#define FORT_MAGVECT FORTRAN_NAME( MAGVECT ,magvect )
void 
FORT_MAGVECT(
      CHFp_FRA1(magVector)
      ,CHFp_FRA(vect)
      ,CHFp_BOX(gridBox) );

// Prototype for Fortran procedure CENTERED_DERIV ...
//
#define FORT_CENTERED_DERIV FORTRAN_NAME( CENTERED_DERIV ,centered_deriv )
void 
FORT_CENTERED_DERIV(
      CHFp_FRA1(deriv)
      ,CHFp_CONST_FRA1(phi)
      ,CHFp_BOX(grid)
      ,CHFp_CONST_REAL(dx)
      ,CHFp_INT(dir) );

}

#endif
