#ifndef _PATCHADVECTIONF_F_H_
#define _PATCHADVECTIONF_F_H_

#include "FORT_PROTO.H"
#include "REAL.H"

extern "C"
{

// Prototype for Fortran procedure NORMALPREDF ...
//
#define FORT_NORMALPREDF FORTRAN_NAME( NORMALPREDF ,normalpredf )
void 
FORT_NORMALPREDF(
      CHFp_FRA(WMinus)
      ,CHFp_FRA(WPlus)
      ,CHFp_CONST_FRA(W)
      ,CHFp_CONST_FRA(dW)
      ,CHFp_CONST_FRA(cellVel)
      ,CHFp_CONST_REAL(dtbydx)
      ,CHFp_CONST_INT(normdir)
      ,CHFp_BOX(box) );

// Prototype for Fortran procedure RIEMANNF ...
//
#define FORT_RIEMANNF FORTRAN_NAME( RIEMANNF ,riemannf )
void 
FORT_RIEMANNF(
      CHFp_FRA(Wgdnv)
      ,CHFp_CONST_FRA(WLeft)
      ,CHFp_CONST_FRA(WRight)
      ,CHFp_CONST_FRA1(advVel)
      ,CHFp_CONST_INT(idir)
      ,CHFp_BOX(box) );

// Prototype for Fortran procedure UPDATECONSADF ...
//
#define FORT_UPDATECONSADF FORTRAN_NAME( UPDATECONSADF ,updateconsadf )
void 
FORT_UPDATECONSADF(
      CHFp_FRA(U)
      ,CHFp_CONST_FRA(F)
      ,CHFp_CONST_FRA(vel)
      ,CHFp_CONST_REAL(dtbydx)
      ,CHFp_CONST_INT(idir)
      ,CHFp_BOX(box) );

}

#endif
