C -*- Mode: Fortran; -*-
c-----------------------------------------------------------------------
c     Ravi Samtaney
c     Copyright 2002
c     Princeton Plasma Physics Laboratory
c     All Rights Reserved
c-----------------------------------------------------------------------
c     $Log: setroevariables.F,v $
c     Revision 1.4  2004/11/23 00:54:17  noel
c     Trying to keep in-line with repo
c
c     Revision 1.1  2002/06/13 22:16:18  samtaney
c     Original unsplit 8-wave Ideal MHD source (includes B filter).
c
c-----------------------------------------------------------------------
        subroutine SetRoeVariables(utilde,vl,vr,ilo,ihi,direction)
c
        implicit none
c  
c     Incoming arguments
        integer ilo,ihi
        integer direction
        real*8 vl(ilo:ihi,8)
        real*8 vr(ilo:ihi,8)
        real*8 utilde(ilo:ihi,8)
c
c     Local variables
        integer i,l
        real*8 rhol, rhor

c     Simple arithmetic average
        do i=ilo,ihi,1
           do l=1,8,1
              rhol=sqrt(vl(i,1))
              rhor=sqrt(vr(i,1))
c     utilde(i,l)=0.5D0*(vl(i,l)+ vr(i,l))
              utilde(i,l)=(vl(i,l)*rhol+ vr(i,l)*rhor)/(rhol+rhor)
c     utilde(i,l)=vl(i,l)
           enddo
        enddo	
	return
	end
