#ifndef _EXAMPLEBALLS_F_H_
#define _EXAMPLEBALLS_F_H_

#include "FORT_PROTO.H"

extern "C"
{
#define FORT_INITIALIZERHS FORTRAN_NAME(INITIALIZERHS, initializerhs)
  void FORT_INITIALIZERHS
    (
     double* rhs,
     const int* l1, const int* l2, const int* l3,
     const int* u1, const int* u2, const int* u3,
     const int* n,
     const int* s,
     const double* h,
     const int* nballs,
     const double* amid1, const double* amid2, const double* amid3,
     const double* rsph,
     const int* vrbos
     );

#define FORT_GETEXACTPHI FORTRAN_NAME(GETEXACTPHI, getexactphi)
  void FORT_GETEXACTPHI
    (
     double* phi,
     const int* l1, const int* l2, const int* l3,
     const int* u1, const int* u2, const int* u3,
     const int* n,
     const int* s,
     const double* h,
     const int* nballs,
     const double* amid1, const double* amid2, const double* amid3,
     const double* rsph,
     const int* vrbos
     );
}

#endif
