#ifndef TIMERPROTOTYPES2_H
#define TIMERPROTOTYPES2_H

#include "Timer.H"

// regrid
extern Timer TimePolytropicGas_regrid;
extern Timer TimePolytropicGas_lb;
extern Timer TimePolytropicGas_cp1;
extern Timer TimePolytropicGas_reshape;
extern Timer TimePolytropicGas_levelSetup;
extern Timer TimePolytropicGas_interpToFine;
extern Timer TimePolytropicGas_cp2;

// regrid calls levelSetup:
extern Timer TimerPG_levelSetup;
extern Timer TimePGlS_init;
extern Timer TimePGlS_def1;
extern Timer TimePGlS_def2;
extern Timer TimePGlS_def3;
extern Timer TimePGlS_zero;
extern Timer TimePGlS_def4;

extern Timer TimePGtagCells_all;
extern Timer TimePGtagCells_pwl;
extern Timer TimePGtagCells_ex;
extern Timer TimePGtagCells_gradient;
extern Timer TimePGtagCells_grow;
extern Timer TimePGtagCells_stuff;

extern Timer TF_GETRELGRAD;
extern Timer TF_MAGNITUDE;
 
extern Timer TF_SETEXPLOSION;
extern Timer TF_EXPLNBC;
extern Timer TF_EXPLOSIONINIT;

extern Timer TF_GETFLUX;
extern Timer TF_MAXWAVESPEED;
extern Timer TF_CONSTOPRIM;
extern Timer TF_CHAREXP;
extern Timer TF_CHARSYN;
extern Timer TF_CHARVALS;
extern Timer TF_RIEMANN;
extern Timer TF_GETADWDX;
extern Timer TF_SETRAMP;

extern Timer TF_RAMPSLOPEBCS;
extern Timer TF_RAMPARTVISC;
extern Timer TF_RAMPBC;
extern Timer TF_RAMPINITF;

extern Timer TMPI_tagCells_ex;
extern Timer TMPI_regrid_lb;
extern Timer TMPI_AMRLevelPolytropicGas_lb;

#endif
